import { OnInit, Injector, OnDestroy, ElementRef, EventEmitter } from '@angular/core';
import { OFormComponent } from 'ontimize-web-ngx';
import { OTreeComponent } from './o-tree.component';
export declare const DEFAULT_INPUTS_O_TREE_NODE: string[];
export declare const DEFAULT_OUTPUTS_O_TREE_NODE: string[];
export declare class OTreeNodeComponent extends OTreeComponent implements OnInit, OnDestroy {
    oTree: OTreeComponent;
    parentNode: OTreeNodeComponent;
    static DEFAULT_INPUTS_O_TREE_NODE: string[];
    static DEFAULT_OUTPUTS_O_TREE_NODE: string[];
    onNodeSelected: EventEmitter<any>;
    onNodeExpanded: EventEmitter<any>;
    onNodeCollapsed: EventEmitter<any>;
    onLoadNextLevel: EventEmitter<any>;
    forcedShowRoot: boolean;
    constructor(injector: Injector, elRef: ElementRef, form: OFormComponent, oTree: OTreeComponent, parentNode: OTreeNodeComponent);
    ngOnInit(): void;
    registerChildNode(child: OTreeNodeComponent): void;
    onLanguageChangeCallback(): void;
}
export declare class OTreeNodeComponentModule {
}
